com.marklogic.xcc

## Enum Session.Update

- java.lang.Object
- - java.lang.Enum<Session.Update>
  - - com.marklogic.xcc.Session.Update

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Session.Update>
  Enclosing interface:
    Session

      public static enum Session.Update
      extends java.lang.Enum<Session.Update>

  Nature of a transaction: query, update or auto-detect based on the statement.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUTO`
    `FALSE`
    `TRUE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Session.Update` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Session.Update[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final Session.Update AUTO

    - #### TRUE

          public static final Session.Update TRUE

    - #### FALSE

          public static final Session.Update FALSE

  - ### Method Detail

    - #### values

          public static Session.Update[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Session.Update c : Session.Update.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Session.Update valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com